// ZLibTestDlg.h : header file
//

#if !defined(AFX_ZLIBTESTDLG_H__03FCAE53_7C64_4772_9E4A_D53C262177D9__INCLUDED_)
#define AFX_ZLIBTESTDLG_H__03FCAE53_7C64_4772_9E4A_D53C262177D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CZLibTestDlg dialog

class CZLibTestDlg : public CDialog
{
// Construction
public:
	CZLibTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CZLibTestDlg)
	enum { IDD = IDD_ZLIBTEST_DIALOG };
	CEdit	m_TarFileEdit;
	CEdit	m_SrcFileEdit;
	CString	m_strSrcFile;
	CString	m_strTarFile;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZLibTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CZLibTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnMoreSrcButton();
	afx_msg void OnMoreTarButton();
	afx_msg void OnCompressButton();
	afx_msg void OnUncompressButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZLIBTESTDLG_H__03FCAE53_7C64_4772_9E4A_D53C262177D9__INCLUDED_)
